Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 741126 - media-gfx/blender-2.90.0: version bump
Summary: media-gfx/blender-2.90.0: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Adrian
URL: https://www.blender.org/download/rele...
Whiteboard:
Keywords: EBUILD, PullRequest
Depends on:
Blocks:
 
Reported: 2020-09-08 08:08 UTC by Oleg
Modified: 2020-10-06 02:13 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-gfx/blender-2.90.0 (blender-2.90.0.ebuild,8.41 KB, text/plain)
2020-09-08 08:10 UTC, Oleg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg 2020-09-08 08:08:03 UTC
Non-LTS version of blender released August 31st, 2020

Reproducible: Always
Comment 1 Oleg 2020-09-08 08:10:44 UTC
Created attachment 659118 [details]
media-gfx/blender-2.90.0

Blender can use embree dependency, currently disabled.
Comment 2 Jonas Stein gentoo-dev 2020-09-08 17:32:02 UTC
Thank you for your contribution. I had a short look on the ebuild. 
Here a few ideas:

* Please test the ebuild with repoman full -d -x https://wiki.gentoo.org/wiki/Repoman and pkgcheck
* are we limited to PYTHON_COMPAT=( python3_7 )?
* A bot can look for additional mistakes, if you upload a PR via github
Comment 3 Adrian 2020-09-08 23:48:52 UTC
Thank you for the report, I am planning to test and write a PR for 2.90 next weekend.

There are several upstream features of blender that I would like to add support for in Gentoo. However new ebuilds need to be created for draco, embree, oidn, openxr and usd before I can add support in the ebuild.

To add embree also requires saving ispc, which is currently scheduled for removal from the tree, perhaps due to a misunderstanding that it does not support python 3. Others are working on a PR (see bug 735284)

I have reviewed the release notes for blender 2.90 and there is still no report of python 3.8 support. Several articles state that blender have discussed the issue and have decided to remain python 3.7 only for all of 2020 in keeping with the VFX reference platform. A lot of blender functionality is provided by external plugins which are are therefore designed with this guarantee to run on python 3.7. Even if blender compiled with 3.8, we could never test all the user python plugins to ensure they do not break. The VFX platform for 2021 supports python 3.8, so I expect that the release of blender next year will support python 3.8 (only), which is when providers will be required to update their plugins.
Comment 4 Sebastian Parborg 2020-09-18 15:00:04 UTC
Blender supports the VFX platform: https://vfxplatform.com/

This means that blender will only support python 3.7 officially now.
Comment 5 Sam James archtester gentoo-dev Security 2020-09-18 23:49:50 UTC
Any news Adrian?
Comment 6 Michael Perlov 2020-09-26 09:28:41 UTC
2.90.1 has been released

Here is an ebuild for oidn:
https://github.com/Perlovka/portage-overlay/tree/master/media-libs/oidn
Comment 7 Sam James archtester gentoo-dev Security 2020-09-30 19:29:31 UTC
Ping.
Comment 8 Adrian 2020-09-30 23:35:55 UTC
Thanks Oleg for the fix for embree. I have tested and submitted a pr for 2.90.1 today.

Thank you Michael for your oidn ebuild, I have been working on one too in my repository. Now that ispc has been saved from deprecation, there is a clear path to add in embree and oidn which require it.

I start holiday in a week and plan is to package all the required dependencies of blender which are not currently in the tree. This includes draco, embree, oidn, openxr-sdk and usd
Comment 9 Larry the Git Cow gentoo-dev 2020-10-06 02:13:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=389974bf3e4782981a079f008dd2241f7ec6a07f

commit 389974bf3e4782981a079f008dd2241f7ec6a07f
Author:     Adrian Grigo <agrigo2001@yahoo.com.au>
AuthorDate: 2020-09-30 22:46:09 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-10-06 02:13:19 +0000

    media-gfx/blender: Version bump to blender 2.90.1
    
    Update from blender 2.83.4 to 2.90.1
    
    Only two changes were required from 2.83.4
    
    Add -DWITH_CYCLES_EMBREE=OFF until Embree has been packaged for Gentoo
    (thanks to Oleg)
    
    Rename WITH_X11 to WITH_GHOST_X11 as per upstream
    
    Signed-off-by: Adrian Grigo <agrigo2001@yahoo.com.au>
    Closes: https://bugs.gentoo.org/741126
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Closes: https://github.com/gentoo/gentoo/pull/17723
    Signed-off-by: Sam James <sam@gentoo.org>

 media-gfx/blender/Manifest              |   1 +
 media-gfx/blender/blender-2.90.1.ebuild | 319 ++++++++++++++++++++++++++++++++
 2 files changed, 320 insertions(+)